#ifndef CONFIG_H
#define CONFIG_H

// --- Hardware Pins ---
#define BUTTON_PIN   0  // D3 (often marked FLASH on NodeMCU)

// --- Display ---
#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64
#define MAX_LINES_PER_SCREEN 5 // Max text lines for lists
#define OLED_SDA_PIN 14 // GPIO14 (D5 on NodeMCU)
#define OLED_SCL_PIN 12 // GPIO12 (D6 on NodeMCU)
#define OLED_RESET_PIN -1 // -1 if not used

// --- Button Timing ---
#define DEBOUNCE_TIME    50 // ms
#define LONG_PRESS_TIME 700 // ms

// --- Battery Monitoring ---
#define BATTERY_PIN A0
// Adjust these values based on your battery and voltage divider (if any)
#define VOLTAGE_MAX 4.2
#define VOLTAGE_MIN 3.3

// --- WiFi ---
#define DEFAULT_WIFI_CHANNEL 1

// --- WiFi Settings ---
// #define MAX_APS_FOUND 30
// #define MAX_STAS_FOUND 50
// #define MAX_SSIDS_SAVED 10

// --- MAC Addresses ---
// #define BROADCAST_MAC {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF}

// --- Attack Settings ---
#define DEAUTH_PACKET_INTERVAL 100 // Milliseconds between deauth packets
#define BEACON_INTERVAL 100 // Milliseconds for beacon spam

#define MAX_SSID_LEN 32 // Maximum length for SSID strings

#endif // CONFIG_H 